Subject: Re: [PATCH 2/3] powermac: proper time of day after resume

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 25 Jan 2007 19:06:16 +1100

On Thu, 2007-01-25 at 08:39 +0100, Michel Dänzer wrote:
> On Thu, 2007-01-25 at 08:44 +1100, Benjamin Herrenschmidt wrote:
> > > > The best solution may require informing the user space ntp code of
> > > > such events. This requires very likely modifications to ntp itself
> > > > (I may be wrong, I've not looked at NTP code for 5 years or so).
> > > 
> > > Doesn't the kernel send signals to init on suspend/resume
> > > events, just like with power fail events?  You can hook on
> > > that.
> > 
> > I don't think it does... at least not on powerbooks.
> 
> It could be handled by scripts invoked from pbbuttonsd or pmud on wakeup
> though, couldn't it? I thought there used to be one for that
> in /etc/apm/, but I can't find it now...

Well, I'm not sure I've fully followed how these things changed over the
last couple of years but yes, there used to be one called by pmud and
possibly pbbuttonsd too in /etc/power/pwrctl but distro I think -also-
hook that top APM stuffs among others.

Ben.